## org.apache.catalina.startup
Class ConnectorCreateRule

    java.lang.Object
      org.apache.tomcat.util.digester.Rule
          org.apache.catalina.startup.ConnectorCreateRule

    public class ConnectorCreateRule

extends Rule

Rule implementation that creates a connector.

Field Summary
`protected static Log` `log`

Fields inherited from class org.apache.tomcat.util.digester.Rule
`digester, namespaceURI`

Constructor Summary
`ConnectorCreateRule()`

Method Summary
`void` `_setExecutor(Connector con, Executor ex)`
`void` `begin(org.xml.sax.Attributes attributes)` Process the beginning of this element.
`void` `end()` Process the end of this element.

Methods inherited from class org.apache.tomcat.util.digester.Rule
`begin, body, body, end, finish, getDigester, getNamespaceURI, setDigester, setNamespaceURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static Log log

Constructor Detail

### ConnectorCreateRule

    public ConnectorCreateRule()

Method Detail

### begin

    public void begin(org.xml.sax.Attributes attributes)
               throws java.lang.Exception

  Process the beginning of this element.

  Overrides:
    `begin` in class `Rule`
  Parameters:
    `attributes` - The attribute list of this element
  Throws:
    `java.lang.Exception`

### _setExecutor

    public void _setExecutor(Connector con,
                             Executor ex)
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### end

    public void end()
             throws java.lang.Exception

  Process the end of this element.

  Overrides:
    `end` in class `Rule`
  Throws:
    `java.lang.Exception`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.